Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1541127 - [abrt] audacious: __gnu_cxx::__verbose_terminate_handler()(): audacious killed by SIGABRT
Summary: [abrt] audacious: __gnu_cxx::__verbose_terminate_handler()(): audacious kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4b49ded775e9356b0c7b2b621f7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-01 19:05 UTC by Daniel Demus
Modified: 2018-11-30 20:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:53:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: cgroup (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: core_backtrace (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: cpuinfo (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: dso_list (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: environ (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: limits (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: maps (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: mountinfo (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: open_fds (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
File: proc_pid_status (deleted)
2018-02-01 19:05 UTC, Daniel Demus
no flags Details
Detailed log file (deleted)
2018-03-14 11:38 UTC, Daniel Demus
no flags Details
Artists response xml (deleted)
2018-03-14 11:39 UTC, Daniel Demus
no flags Details

Description Daniel Demus 2018-02-01 19:05:16 UTC
Description of problem:
Loading an list of artists from a newxcloud music music Ampache endpoint

Version-Release number of selected component:
audacious-3.9-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        audacious -VVQ
crash_function: __gnu_cxx::__verbose_terminate_handler()
executable:     /usr/bin/audacious
journald_cursor: s=e06d77a83f9d413e8f88fc14f863e3d8;i=6952e;b=86336a361dd74dc3aa8bcd81dd3e2884;m=1cff22e8b;t=5642a9cd92d5b;x=c023d1469e91194b
kernel:         4.14.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Daniel Demus 2018-02-01 19:05:25 UTC
Created attachment 1389700 [details]
File: backtrace

Comment 2 Daniel Demus 2018-02-01 19:05:27 UTC
Created attachment 1389701 [details]
File: cgroup

Comment 3 Daniel Demus 2018-02-01 19:05:29 UTC
Created attachment 1389702 [details]
File: core_backtrace

Comment 4 Daniel Demus 2018-02-01 19:05:31 UTC
Created attachment 1389703 [details]
File: cpuinfo

Comment 5 Daniel Demus 2018-02-01 19:05:33 UTC
Created attachment 1389704 [details]
File: dso_list

Comment 6 Daniel Demus 2018-02-01 19:05:35 UTC
Created attachment 1389705 [details]
File: environ

Comment 7 Daniel Demus 2018-02-01 19:05:37 UTC
Created attachment 1389706 [details]
File: limits

Comment 8 Daniel Demus 2018-02-01 19:05:40 UTC
Created attachment 1389707 [details]
File: maps

Comment 9 Daniel Demus 2018-02-01 19:05:42 UTC
Created attachment 1389708 [details]
File: mountinfo

Comment 10 Daniel Demus 2018-02-01 19:05:44 UTC
Created attachment 1389709 [details]
File: open_fds

Comment 11 Daniel Demus 2018-02-01 19:05:46 UTC
Created attachment 1389710 [details]
File: proc_pid_status

Comment 12 Michael Schwendt 2018-02-01 21:45:35 UTC
Reproducible?

Forwarded upstream to inform them:
https://redmine.audacious-media-player.org/issues/775

You've managed to crash libstdc++ internally due to bad memory allocation size.

#6  0x00007fac4faf542c in operator new(unsigned long) (sz=94132798226440) at ../../../../libstdc++-v3/libsupc++/new_op.cc:54
        handler = <optimized out>
        p = <optimized out>

Comment 13 Róbert Čerňanský 2018-02-10 12:08:18 UTC
I was not able to figure out the problem from the backtrace.  Could you reproduce it with AMPACHE_BROWSER_PLUGIN_VERBOSITY environment variable set to '4', like this:

$ AMPACHE_BROWSER_PLUGIN_VERBOSITY=4 audacious -VVQ > audacious.log 2>&1

and provide the resulting 'audacious.log' file, please?

The xml file that Nextcloud server sends to the plugin would also be helpful.  You can get it by following steps:

Store current time:

$ tm=`date +%s`

Get passphrase (replace <password>):

$ echo -n $tm$(echo -n <password> | sha256sum | cut -d " " -f 1) | sha256sum
5854ad1eabbaaaa1ed3e48a143d3d3d4e26c63d5950a359bfde5c133dcadf4c5  -

Authenticate to the server (replace the passphrase and <user_name>).  Server will return authentication token:

$ curl "https://cemit.mysel:40015/ampache/server/xml.server.php?action=handshake
&auth=5854ad1eabbaaaa1ed3e48a143d3d3d4e26c63d5950a359bfde5c133dcadf4c5&timestamp
=${tm}&version=350001&user=<user_name>"
<?xml version="1.0" encoding="UTF-8" ?>
<root>
        <auth><![CDATA[af806767fcad09b573a3aa6085564d3c]]></auth>
        <api><![CDATA[380001]]></api>
...

Get artists xml using the token (here limited to 1000 entries) (replace auth token):

$ curl "https://cemit.mysel:40015/ampache/server/xml.server.php?action=artists&a
uth=af806767fcad09b573a3aa6085564d3c&offset=0&limit=1000" > artists.xml

Proper upstream tracking address is: https://github.com/ampache-browser/ampache_browser/issues/6.

Comment 14 Daniel Demus 2018-03-14 11:38:53 UTC
Created attachment 1407930 [details]
Detailed log file

Sorry about the delay.

Comment 15 Daniel Demus 2018-03-14 11:39:56 UTC
Created attachment 1407931 [details]
Artists response xml

Comment 16 Róbert Čerňanský 2018-03-26 17:45:53 UTC
The bug is fixed in the source repository, branch v1.0 [1].  Changeset 3f1b36674032b6c93dcda779132918fb3aff0587 can be used for testing.

Please be aware that Nextcloud's Music app ignores 'limit' parameter when talking to the client which may cause performance degradation of Ampache Browser during loading.  Also it sends wrong timestamp of last modification of the media collection so caching in Ampache Browser will not work.

Thanks for the report and all the additional debug info.

1. https://github.com/ampache-browser/ampache_browser/tree/v1.0

Comment 17 Fedora Update System 2018-04-07 23:55:10 UTC
ampache_browser-1.0.0-3.20180408.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b60fb0f2bb

Comment 18 Fedora Update System 2018-04-09 22:58:09 UTC
ampache_browser-1.0.0-3.20180408.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b60fb0f2bb

Comment 19 Ben Cotton 2018-11-27 16:16:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2018-11-30 20:53:38 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.